DH_INSTALLEMACSEN(1)

NAME
dh_installemacsen - registriert ein Emacs-Erweiterungspaket

ÜBERSICHT
dh_installemacsen [Debhelper-Optionen] [-n] [--priority=n] [--flavor=foo]

BESCHREIBUNG
dh_installemacsen ist ein Debhelper-Programm, das für die Installation von Dateien in Paketbauverzeichnissen zuständig ist, die vom Debian-Paket emacsen-common benutzt werden.

Es erzeugt außerdem automatisch die preinst, postinst- und prerm-Befehle, die benötigt sind, um ein Paket als ein Emacs-Erweiterungspaket zu registrieren. Die Befehle werden den Betreuerskripten durch dh_installdeb hinzugefügt. Eine Erklärung, wie das funktioniert, finden Sie in dh_installdeb(1).

DATEIEN

debian/Paket.emacsen-compat
    installiert in usr/lib/emacsen-common/packages/compat/Paket im Paketbauverzeichnis.

debian/Paket.emacsen-install
    installiert in usr/lib/emacsen-common/packages/install/Paket im Paketbauverzeichnis.

debian/Paket.emacsen-remove
    installiert in usr/lib/emacsen-common/packages/remove/Paket im Paketbauverzeichnis.

debian/Paket.emacsen-startup
    installiert in etc/emacs/site-start.d/50Paket.el im Paketbauverzeichnis. Benutzen Sie --priority, um eine andere Priorität als 50 zu verwenden.

OPTIONEN

-n, --no-scripts
    ändert keine postinst-/prerm-Skripte.

--priority=n
    setzt die Prioritätsnummer einer site-start.d-Datei. Vorgabe ist 50.

--flavor=foo
    setzt die Variante, in der eine site-start.d-Datei installiert wird. Vorgabe ist emacs, zu den Alternativen gehören xemacs und emacs20.

ANMERKUNGEN
Beachten Sie, dass dieser Befehl nicht idempotent ist. Zwischen mehreren Aufrufen dieses Befehls sollte dh_prep(1) aufgerufen werden. Ansonsten könnte er zur Folge haben, dass den Betreuerskripten mehrere Instanzen des gleichen Textes hinzugefügt werden.

SIEHE AUCH
debhelper(7) "usr/share/doc/emacsen-common/debian-emacs-policy.gz"

Dieses Programm ist Teil von Debhelper.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <http://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de und das deutsche Debian-Übersetzer-Team im Dezember 2011 erstellt.

Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket debhelper.

Sie können mit dem folgenden Befehl das englische Original anzeigen man -L en Abschnitt Handbuchseite

AUTOR
Joey Hess <joeyh@debian.org>